Page MenuHomePhabricator

[VE] Add vector comparison and min/max
ClosedPublic

Authored by kaz7 on Oct 18 2020, 3:29 AM.

Details

Summary

Add VCMP/VCPS/VCPX/VCMS/VCMX vector instructions. Also add regression
tests.

Diff Detail

Event Timeline

kaz7 created this revision.Oct 18 2020, 3:29 AM
kaz7 requested review of this revision.Oct 18 2020, 3:29 AM
simoll accepted this revision.Oct 19 2020, 2:11 AM
This revision is now accepted and ready to land.Oct 19 2020, 2:11 AM
kaz7 added a comment.Oct 19 2020, 2:49 AM

This one may have similar problem using not F32. I'll check these modifications also. Thanks.

kaz7 planned changes to this revision.Oct 19 2020, 4:19 AM

Planning to change to use F32 instead of I64

kaz7 requested review of this revision.Oct 20 2020, 5:48 AM

Change my mind. Stop planning to change. Similar to https://reviews.llvm.org/D89642.

This revision is now accepted and ready to land.Oct 20 2020, 5:48 AM
kaz7 abandoned this revision.Oct 21 2020, 4:56 AM

It looks like all of these modifications will be overwritten by internal modifications, so I'm abandoning all of vector modifications once.

kaz7 reclaimed this revision.Oct 23 2020, 6:13 AM
This revision is now accepted and ready to land.Oct 23 2020, 6:13 AM
This revision was landed with ongoing or failed builds.Oct 26 2020, 2:32 AM
This revision was automatically updated to reflect the committed changes.